wxGridCellActivatableEditor Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxGridCellActivatableEditor Class Referenceabstract

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/grid.h>`

Inheritance diagram for wxGridCellActivatableEditor:
[legend]

## Detailed Description

Base class for activatable editors.

Inheriting from this class makes it simpler to implement editors that support only activation, but not in-place editing, as they only need to implement TryActivate(), DoActivate() and Clone() methods, but not all the other pure virtual methods of wxGridCellEditor.

Since
  3.1.4

## Public Member Functions
virtual wxGridActivationResult | TryActivate (int row, int col, wxGrid *grid, const wxGridActivationSource &actSource)=0
| Same method as in wxGridCellEditor, but pure virtual.
virtual void | DoActivate (int row, int col, wxGrid *grid)=0
| Same method as in wxGridCellEditor, but pure virtual.
Public Member Functions inherited from wxGridCellEditor
| wxGridCellEditor ()
| Default constructor.
virtual void | BeginEdit (int row, int col, wxGrid *grid)=0
| Fetch the value from the table and prepare the edit control to begin editing.
virtual wxGridCellEditor * | Clone () const =0
| Create a new object which is the copy of this one.
virtual void | Create (wxWindow *parent, wxWindowID id, wxEvtHandler *evtHandler)=0
| Creates the actual edit control.
virtual void | Destroy ()
| Final cleanup.
virtual bool | EndEdit (int row, int col, const wxGrid *grid, const wxString &oldval, wxString *newval)=0
| End editing the cell.
virtual void | ApplyEdit (int row, int col, wxGrid *grid)=0
| Effectively save the changes in the grid.
virtual void | HandleReturn (wxKeyEvent &event)
| Some types of controls on some platforms may need some help with the Return key.
bool | IsCreated ()
| Returns true if the edit control has been created.
virtual void | PaintBackground (wxDC &dc, const wxRect &rectCell, const wxGridCellAttr &attr)
| Draws the part of the cell not occupied by the control: the base class version just fills it with background colour from the attribute.
virtual void | Reset ()=0
| Reset the value in the control back to its starting value.
virtual void | SetSize (const wxRect &rect)
| Size and position the edit control.
virtual void | Show (bool show, wxGridCellAttr *attr=NULL)
| Show or hide the edit control, use the specified attributes to set colours/fonts for it.
virtual void | StartingClick ()
| If the editor is enabled by clicking on the cell, this method will be called.
virtual void | StartingKey (wxKeyEvent &event)
| If the editor is enabled by pressing keys on the grid, this will be called to let the editor do something about that first key if desired.
virtual bool | IsAcceptedKey (wxKeyEvent &event)
| Return true to allow the given key to start editing: the base class version only checks that the event has no modifiers.
virtual wxString | GetValue () const =0
| Returns the value currently in the editor control.
wxWindow * | GetWindow () const
| Get the edit window used by this editor.
void | SetWindow (wxWindow *window)
| Set the wxWindow that will be used by this cell editor for editing the value.
wxControl * | GetControl ()
| Get the wxControl used by this editor.
void | SetControl (wxControl *control)
| Set the wxControl that will be used by this cell editor for editing the value.
Public Member Functions inherited from wxSharedClientDataContainer
void * | GetClientData () const
| Get the untyped client data.
wxClientData * | GetClientObject () const
| Get a pointer to the client data object.
void | SetClientData (void *data)
| Set the untyped client data.
void | SetClientObject (wxClientData *data)
| Set the client data object.
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor.
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory.
int | GetRefCount () const
| Returns the reference count associated with this shared data.
void | IncRef ()
| Increments the reference count associated with this shared data.

## Additional Inherited Members
Protected Member Functions inherited from wxGridCellEditor
virtual | ~wxGridCellEditor ()
| The destructor is private because only DecRef() can delete us.
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor.

## Member Function Documentation

## ◆ DoActivate()

virtual void wxGridCellActivatableEditor::DoActivate | ( | int | row,
|  | int | col,
|  | wxGrid * | grid )
| pure virtual

Same method as in wxGridCellEditor, but pure virtual.

Reimplemented from wxGridCellEditor.

## ◆ TryActivate()

virtual wxGridActivationResult wxGridCellActivatableEditor::TryActivate | ( | int | row,
|  | int | col,
|  | wxGrid * | grid,
|  | const wxGridActivationSource & | actSource )
| pure virtual

Same method as in wxGridCellEditor, but pure virtual.

Note that the implementation of this method must never return wxGridActivationResult::DoEdit() for the editors inheriting from this class, as it doesn't support normal editing.

Reimplemented from wxGridCellEditor.